Apache JMeter

## org.apache.jmeter.protocol.tcp.sampler
Class AbstractTCPClient

    java.lang.Object
      org.apache.jmeter.protocol.tcp.sampler.AbstractTCPClient

All Implemented Interfaces:
  TCPClient

Direct Known Subclasses:
  BinaryTCPClientImpl, TCPClientDecorator, TCPClientImpl

    public abstract class AbstractTCPClient

extends Object
implements TCPClient

Basic implementation of TCPClient interface.

Field Summary
`protected byte` `eolByte`
`protected boolean` `useEolByte`

Constructor Summary
`AbstractTCPClient()`

Method Summary
`byte` `getEolByte()` Get the end-of-line/end-of-message byte.
`void` `setEolByte(int eolInt)` Set the end-of-line/end-of-message byte.
`void` `setupTest()` Versions of JMeter after 2.3.2 invoke this method when the thread starts.
`void` `teardownTest()` Versions of JMeter after 2.3.2 invoke this method when the thread ends.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.protocol.tcp.sampler.TCPClient
`read, write, write`

Field Detail

### eolByte

    protected byte eolByte

### useEolByte

    protected boolean useEolByte

Constructor Detail

### AbstractTCPClient

    public AbstractTCPClient()

Method Detail

### getEolByte

    public byte getEolByte()

  Get the end-of-line/end-of-message byte.

  Specified by:
    `getEolByte` in interface `TCPClient`
  Returns:
    Returns the eolByte.

### setEolByte

    public void setEolByte(int eolInt)

  Set the end-of-line/end-of-message byte. If the value is out of range of a byte, then it is to be ignored.

  Specified by:
    `setEolByte` in interface `TCPClient`
  Parameters:
    `eolInt` - The value to set

### setupTest

    public void setupTest()

  Versions of JMeter after 2.3.2 invoke this method when the thread starts.

  Specified by:
    `setupTest` in interface `TCPClient`

### teardownTest

    public void teardownTest()

  Versions of JMeter after 2.3.2 invoke this method when the thread ends.

  Specified by:
    `teardownTest` in interface `TCPClient`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.